GEOS: geos::geom::prep::PreparedLineString Class Reference

GEOS 3.5.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::geom::prep::PreparedLineString Class Reference

A prepared version of LinearRing, LineString or MultiLineString geometries. More...

`#include <PreparedLineString.h>`

Inheritance diagram for geos::geom::prep::PreparedLineString:

## Public Member Functions
| PreparedLineString (const Geometry *geom)
noding::FastSegmentSetIntersectionFinder * | getIntersectionFinder ()
bool | intersects (const geom::Geometry *g) const
Public Member Functions inherited from geos::geom::prep::BasicPreparedGeometry
| BasicPreparedGeometry (const Geometry *geom)
const geom::Geometry & | getGeometry () const
const Coordinate::ConstVect * | getRepresentativePoints () const
bool | isAnyTargetComponentInTest (const geom::Geometry *testGeom) const
bool | contains (const geom::Geometry *g) const
bool | containsProperly (const geom::Geometry *g) const
bool | coveredBy (const geom::Geometry *g) const
bool | covers (const geom::Geometry *g) const
bool | crosses (const geom::Geometry *g) const
bool | disjoint (const geom::Geometry *g) const
bool | overlaps (const geom::Geometry *g) const
bool | touches (const geom::Geometry *g) const
bool | within (const geom::Geometry *g) const
std::string | toString ()

## Additional Inherited Members
Protected Member Functions inherited from geos::geom::prep::BasicPreparedGeometry
void | setGeometry (const geom::Geometry *geom)
bool | envelopesIntersect (const geom::Geometry *g) const
bool | envelopeCovers (const geom::Geometry *g) const

## Detailed Description

A prepared version of LinearRing, LineString or MultiLineString geometries.

Author
  mbdavis

## Member Function Documentation

bool geos::geom::prep::PreparedLineString::intersects | ( | const geom::Geometry * | g | ) | const
| virtual

Default implementation.

Reimplemented from geos::geom::prep::BasicPreparedGeometry.

The documentation for this class was generated from the following file:

- PreparedLineString.h